Subject: bug#57560: closed (Re: bug#57560: [PATCH 0/4] Fix multiple hashcat issue.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Sep 2022 21:09:03 +0000

Your bug report

#57560: [PATCH 0/4] Fix multiple hashcat issue.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57560: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57560
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57560: [PATCH 0/4] Fix multiple hashcat issue.
From: Ludovic Courtès <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked], [email-masked], Hendursaga <[email-masked]>
Date: Sun, 04 Sep 2022 23:08:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> skribis:

> X-Debbugs-CC: Hendursaga <[email-masked]>
> X-Debbugs-CC: ( <[email-masked]>
> X-Debbugs-CC: Tobias Geerinckx-Rice <[email-masked]>
> X-Debbugs-CC: Ludovic Courtès <[email-masked]>

That didn’t work.  :-)

> This patch series:
>
>  * Removed bundled libraries, except for LZMA-SDK for which I didn't
>    find a corresponding Guix package
>  * Makes hashcat cross-compilable, at least from an x86_64-linux-gnu to
>    an aarch64-linux-gnu
>  * Removes the embedded build time timestamp reported in
>    <https://guix.gnu.org/57187>.

Perfect!  I’ve applied it all.

> My current working tree is a bit dirty, so there will be a small
> rebase conflict because of the 6.2.4->6.2.5 and a few imports will
> need to be moved to the top of the file.

Right, I had to fiddle quite a bit with the patches to get them to
apply.

Thanks!

Ludo’.

Subject: [PATCH 0/4] Fix multiple hashcat issue.
From: Maxime Devos <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 3 Sep 2022 14:04:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-CC: Hendursaga <[email-masked]>
X-Debbugs-CC: ( <[email-masked]>
X-Debbugs-CC: Tobias Geerinckx-Rice <[email-masked]>
X-Debbugs-CC: Ludovic Courtès <[email-masked]>

(^ people involved in #57187)

This patch series:

  * Removed bundled libraries, except for LZMA-SDK for which I didn't
    find a corresponding Guix package
  * Makes hashcat cross-compilable, at least from an x86_64-linux-gnu to
    an aarch64-linux-gnu
  * Removes the embedded build time timestamp reported in
    <https://guix.gnu.org/57187>.

My current working tree is a bit dirty, so there will be a small rebase 
conflict because of the 6.2.4->6.2.5 and a few imports will need to be 
moved to the top of the file.

Greetings,
Maxime.